package com.crm.custom.dao.repository;

import com.crm.rely.backend.dao.repository.BaseRepository;
import com.crm.rely.backend.model.pojo.table.AccountApplyTable;

import java.util.List;

public interface AccountApplyRepository extends BaseRepository<AccountApplyTable> {

    boolean existsByCustomIdAndStatus(Long customId, Integer status);

    Integer countByCustomIdAndStatusInAndAccountStatusIsNull(Long customId, List<Integer> accountStatus);

    Integer countByCustomIdAndAccountStatusNotInAndStatusNot(Long customId, List<Integer> accountStatus,
                                                             Integer status);

    Integer countByCustomIdAndStatusNot(Long customId, Integer status);

}
